/*=========================================================================

  xmlCFD - an implementation of a proposed XML-based geometry /
  condition description format for CFD

  Copyright (c) 2010 Takuya OSHIMA <oshima@eng.niigata-u.ac.jp>.
  All rights reserved.
  See License.txt for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "xmlBoundaries.h"

#include "vtkPolyData.h"

xmlBoundaries::~xmlBoundaries()
{
  if(this->Geometry)
    {
    this->Geometry->Delete();
    }
  if(this->ModelledGeometry)
    {
    this->ModelledGeometry->Delete();
    }
}
