/*=========================================================================

  xmlCFD - an implementation of a proposed XML-based geometry /
  condition description format for CFD

  Copyright (c) 2010 Takuya OSHIMA <oshima@eng.niigata-u.ac.jp>.
  All rights reserved.
  See License.txt for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "xmlBoundary.h"

#include "vtkPolyData.h"

xmlBoundary::~xmlBoundary()
{
  if(this->BoundaryGeometry)
    {
    this->BoundaryGeometry->Delete();
    }
  if(this->FieldData)
    {
    this->FieldData->Delete();
    }
}
